# Class Heading

java.lang.Object
uk.ac.starlink.ttools.build.Heading

public class Heading extends Object
Enumeration class describing the function categories used by the JEL-accessible methods.

Since:
  2 Sep 2004
Author:
  Mark Taylor (Starlink)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Heading`
`ACTIVATION`
Heading for category of functions available only for activation.
`static final Heading[]`
`ALL_HEADINGS`
Array containing all known heading instances.
`static final Heading`
`GENERAL`
Heading for general category of functions.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns HTML description string.
`String`
`getDocSuffix()`
Returns unique text suitable for forming a filename.
`String`
`getUserString()`
Returns heading text.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### GENERAL

public static final Heading GENERAL
Heading for general category of functions.

### ACTIVATION

public static final Heading ACTIVATION
Heading for category of functions available only for activation.

### ALL_HEADINGS

public static final Heading[] ALL_HEADINGS
Array containing all known heading instances.

## Method Details

### getUserString

public String getUserString()
Returns heading text.

### getDocSuffix

public String getDocSuffix()
Returns unique text suitable for forming a filename.

### getDescription

public String getDescription()
Returns HTML description string.

### toString

public String toString()

Overrides:
  `toString` in class `Object`